Authentication
All managed endpoints require:Self Endpoints
Get and update the authenticated user’s profile.Get Current User
profile:read
Response
Update Profile
profile:write
Request Body
| Field | Type | Description |
|---|---|---|
name | string | Display name |
about | string | Bio/about text |
User Endpoints
Interact with user profiles and lists.Get User
Retrieve public profile information for a specific user.| Name | In | Type | Description |
|---|---|---|---|
userId | path | string | The OnlyFans user ID or username |
List User Posts
Retrieve a paginated list of posts for a user.| Name | Type | Default | Description |
|---|---|---|---|
limit | number | 10 | Number of posts to return |
sortBy | string | publish_date | Sort by publish_date, tips, or favorites_count |
sortDirection | string | desc | asc or desc |
beforePublishTime | string | - | ISO date for pagination cursor |
Post Endpoints
Create and manage content.List Own Posts
posts:read
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
limit | number | 10 | Results per page |
sortBy | string | publish_date | Sort field |
sortDirection | string | desc | Sort direction |
pinned | boolean | false | Filter pinned posts only |
includePostCounts | boolean | false | Include engagement counts |
Create Post
posts:write
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
text | string | No | Post content (supports markdown) |
price | number | No | PPV price (200) |
mediaItems | array | No | Media IDs, upload references, or URLs (see mediaItems) |
isPinned | boolean | No | Pin to profile |
scheduledDate | string | No | ISO date for scheduled posting |
isMarkdown | boolean | No | Parse text as markdown (default: true). See Text Formatting Guide. |
Get Post
posts:read
Edit Post
posts:write
Delete Post
posts:write
Message Endpoints
Send and receive direct messages.List Chats
messages:read
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
limit | number | 10 | Results per page |
offset | number | 0 | Pagination offset |
order | string | recent | recent or old |
filter | string | - | priority, unread, who_tipped |
query | string | - | Search term |
Get Chat Messages
messages:read
Send Message
messages:write
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
text | string | No | Message content (supports markdown) |
mediaItems | array | No | Media IDs, upload references, or URLs (see mediaItems) |
price | number | No | PPV price (200) |
previewMediaCount | number | No | How many mediaItems are previews. Uses the first N items from left to right. |
isMarkdown | boolean | No | Parse as markdown (default: true). See Text Formatting Guide. |
Get Chat Media
messages:read
Query Parameters
| Name | Type | Description |
|---|---|---|
type | string | Filter: photos, videos, audios (omit for all) |
limit | number | Results per page |
Subscriber Endpoints
Manage your subscribers.List Subscribers
subscribers:read
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
type | string | all | all, active, expired, latest |
limit | number | 10 | Results per page |
offset | number | 0 | Pagination offset |
latestType | string | - | For type=latest: new or renewals |
startDate | string | - | Filter by date (with type=latest) |
endDate | string | - | Filter by date (with type=latest) |
Update Subscriber Note
subscribers:write
Request Body
Apply Discount
subscribers:write
Set Custom Name
subscribers:write
Request Body
Mass Message Endpoints
Send messages to multiple fans at once.Create Mass Message
messages:write
Request Body
| Field | Type | Description |
|---|---|---|
text | string | Message content (supports markdown) |
mediaItems | array | Media IDs, upload references, or URLs (see mediaItems) |
price | number | PPV price |
userIds | array | Target user IDs |
userLists | array | Target list IDs |
excludeUserLists | array | Exclude list IDs |
scheduledDate | string | ISO date for scheduling |
isMarkdown | boolean | Parse as markdown (default: true). See Text Formatting Guide. |
Get/Update/Delete Mass Message
Vault & Upload Endpoints
Manage media storage.List Vault Media
vault:read
Query Parameters
| Name | Type | Description |
|---|---|---|
listId | number | Filter by vault list |
mediaType | string | photo, video, audio |
sortBy | string | Sort field |
sortDirection | string | asc or desc |
Upload Media
See the Upload Media Guide for the complete upload flow.Permission Reference
| Permission | Grants Access To |
|---|---|
profile:read | Get current user profile |
profile:write | Update profile |
posts:read | List and get posts |
posts:write | Create, edit, delete posts |
messages:read | List chats and messages |
messages:write | Send messages |
subscribers:read | List subscribers |
subscribers:write | Update notes, apply discounts |
vault:read | Access vault media |
analytics:read | Access statistics and charts |
earnings:read | Access earnings data |
notifications:read | Access notifications |